package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.dto.ReversalFlightDto;
import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.service.third.airport.execute.ExecuteTaskService;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AirportServiceImpl implements AirportService {

    @Autowired
    private GetAirportListService getAirportListService;

    @Autowired
    private GetAirLineListService getAirLineListService;

    @Autowired
    private ExecuteTaskService executeTaskService;

    @Autowired
    private GetAirportDetailService getAirportDetailService;

    @Autowired
    private ReversalFlightService reversalFlightService;

    @Autowired
    private GetAirportVideoService getAirportVideoService;

    @Override
    public JsonResult getAirportList() {
        return getAirportListService.getAirportList();
    }

    @Override
    public JsonResult getAirLineList(String sn,Long id) {
        return getAirLineListService.getAirLineList(sn,id);
    }

    @Override
    public JsonResult executeTask(String userId, Inspection inspection) {
        return executeTaskService.executeTask(userId, inspection);
    }

    @Override
    public JsonResult getAirportDetail(String sn) {
        return getAirportDetailService.getAirportDetail(sn);
    }

    @Override
    public JsonResult reversalFlight(ReversalFlightDto dto) {
        return reversalFlightService.reversalFlight(dto);
    }

    @Override
    public JsonResult getAirportVideo(Integer airportId) {
        return getAirportVideoService.getAirportVideo(airportId);
    }
}
